Skip to content

TransactionsService⁠

Perform transactions.

Operations⁠

stopCheckPayment⁠

POST

Stops a check payment transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredIdentifies the account affected by the transaction.
DonorIdstringrequiredThe donor ID.
DonorTypestringrequiredThe donor type.
TotalAmountnumber · floatrequiredThe total amount.
CommentstringoptionalThe text of a comment transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
EffectiveDatestring · daterequiredThe effective date of the transaction.
SourceCodestringoptionalThe source of the transaction.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
TransactionFeesobject[]optionalList of transaction fees.
POST/nexum/{sym}/persistent/transactions/stopCheckPayment
POST /nexum/627/persistent/transactions/stopCheckPayment HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "DonorId": "0",
  "DonorType": "string",
  "TotalAmount": "string",
  "DraftNumbers": {
    "CheckNumber": "0"
  },
  "Payee": {
    "PayeeLine": [
      {
        "PayeeLineNumber": 0,
        "LineValue": "string"
      }
    ]
  },
  "Comment": "string",
  "SourceCode": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

loanAddon⁠

POST

Adds an addon to an existing loan.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptionalIdentifies the account affected by the transaction.
IdTypestringoptionalWhether the transaction affected a Share or Loan record.
LoanIdstringoptionalThe loan ID.
CheckNumberstringoptionalThe check number.
CheckIssuerstringoptionalThe check issuer type.
CommentstringoptionalThe text of a comment transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
AuthorizationTypestringoptionalThe transaction authorization type.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
SourceCodestringoptionalThe source of the transaction.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
TracerNumberstringoptionalThe tracer number.
DraftNumberstringoptionalThe draft number.
CalculateCheckbooleanoptionalWhether to calculate a check.
GLCommentstringoptionalThe text of a GL transaction.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
TransactionFeesobject[]optionalList of transaction fees.
POST/nexum/{sym}/persistent/transactions/loanAddon
POST /nexum/627/persistent/transactions/loanAddon HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "IdType": "string",
  "LoanId": "string",
  "CheckNumber": "string",
  "CheckIssuer": "string",
  "Amounts": {
    "TotalAmount": 0,
    "CheckAmount": 0,
    "CashAmount": 0
  },
  "Comment": "string",
  "CommentCode": 0,
  "EffectiveDate": "string",
  "GLAccounts": {
    "ClearingAccount": "string",
    "CheckDisbursedAccount": "string",
    "ExternalAccount": "string"
  },
  "GLCodes": {
    "ClearingCode": 0,
    "CheckDisbursedCode": 0,
    "ExternalCode": 0
  },
  "Payee": {
    "PayeeLine": [
      {
        "LineValue": "string"
      }
    ]
  },
  "AuthorizationType": "string",
  "ForcePostRequested": true,
  "SourceCode": "string",
  "RecurrenceRequested": true,
  "TracerNumber": "string",
  "DraftNumber": "string",
  "Printer": {
    "PrinterId": 0,
    "Amount": 0
  }
}

payLoan⁠

POST

Perform a loan repayment transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

RecipientAccountNumberstringoptionalThe recipient account number.
RecipientIdstringoptionalThe recipient ID.
RecipientIdTypestringoptionalThe recipient ID type.
CommentstringoptionalThe text of a comment transaction.
AuthorizationTypestringoptionalThe transaction authorization type.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
PrincipalAmountnumber · floatoptionalThe principal amount.
SourceCodestringoptionalThe source of the transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
LoanPaymentTypestringoptionalThe loan payment type.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
GLCommentstringoptionalThe text of a GL transaction.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
TransactionFeesobject[]optionalList of transaction fees.
POST/nexum/{sym}/persistent/transactions/payLoan
POST /nexum/627/persistent/transactions/payLoan HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "RecipientAccountNumber": "0000000000",
  "RecipientId": "0",
  "RecipientIdType": "string",
  "PaymentAmounts": {
    "TotalAmount": "string"
  },
  "Comment": "string",
  "SourceCode": "string",
  "ForcePostRequested": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

glToGlPost⁠

POST

Transfer funds between GL accounts.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DonorAccountNumberstringoptionalThe donor account number.
DonorGLCodestringoptionalThe donor GL code.
RecipientAccountNumberstringoptionalThe recipient account number.
RecipientGLCodestringoptionalThe recipient GL code.
CheckIssuerstringoptionalThe check issuer type.
CommentstringoptionalThe text of a comment transaction.
SourceCodestringoptionalThe source of the transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
CheckReferencestringoptionalThe check reference for the transaction.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
CalculateCheckbooleanoptionalWhether to calculate a check.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
TransactionFeesobject[]optionalList of transaction fees.
POST/nexum/{sym}/persistent/transactions/glToGlPost
POST /nexum/627/persistent/transactions/glToGlPost HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DonorAccountNumber": "0000000000",
  "RecipientAccountNumber": "0000000000",
  "Amounts": {
    "TotalAmount": "string"
  },
  "Comment": "string",
  "SourceCode": "string"
}

getDonorRecipientAccounts⁠

POST

Retrieves donor and recipient accounts for transactions.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
TransferToAnyAccountbooleanoptionalWhether to transfer to any account.
POST/nexum/{sym}/persistent/transactions/getDonorRecipientAccounts
POST /nexum/627/persistent/transactions/getDonorRecipientAccounts HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}